Update File Metadata
Update file metadata, without updating the file content.
Path Parameters
File ID or Key
Request Body
application/json
File metadata to update.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://example.com/v1/files/string" \ -H "Content-Type: application/json" \ -d '{}'{ "file": { "id": "string", "botId": "string", "key": "string", "url": "string", "size": 0, "contentType": "string", "tags": { "property1": "string", "property2": "string" }, "metadata": { "property1": null, "property2": null }, "createdAt": "string", "updatedAt": "string", "accessPolicies": [ "integrations" ], "index": true, "status": "upload_pending", "failedStatusReason": "string", "expiresAt": "string", "owner": { "type": "bot", "id": "string", "name": "string", "alias": "string" }, "indexingStack": "v1" }}{ "file": { "id": "string", "botId": "string", "key": "string", "url": "string", "size": 0, "contentType": "string", "tags": { "property1": "string", "property2": "string" }, "metadata": { "property1": null, "property2": null }, "createdAt": "string", "updatedAt": "string", "accessPolicies": [ "integrations" ], "index": true, "status": "upload_pending", "failedStatusReason": "string", "expiresAt": "string", "owner": { "type": "bot", "id": "string", "name": "string", "alias": "string" }, "indexingStack": "v1" }}